Loading...
Searching...
No Matches
elastix::ReducedDimensionBSplineResampleInterpolator< TElastix > Class Template Reference
Components » ResampleInterpolators

`#include <elxRDBSplineResampleInterpolator.h>`

## Detailed Description

template<class TElastix>
class elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >

A resample-interpolator based on B-splines which ignores the last dimension.

The parameters used in this class are:

Parameters

  ResampleInterpolator: Select this resample interpolator as follows:
  (ResampleInterpolator "FinalReducedDimensionBSplineInterpolator")

  FinalReducedDimensionBSplineInterpolationOrder: the order of the B-spline used to resample the deformed moving image; possible values: (0-5)
  example: (FinalReducedDimensionBSplineInterpolationOrder 3)
  Default: 3.

The transform parameters necessary for transformix, additionally defined by this class, are:

Transform Parameters
  FinalReducedDimensionBSplineInterpolationOrder: the order of the B-spline used to resample the deformed moving image; possible values: (0-5)
  example: (FinalReducedDimensionBSplineInterpolationOrder 3)
  Default: 3.

If you are in memory problems, you may use the LinearResampleInterpolator, or the NearestNeighborResampleInterpolator. Note that the former will also interpolate in the last dimension.

See also
  ReducedDimensionBSplineResampleInterpolatorFloat

Definition at line 54 of file elxRDBSplineResampleInterpolator.h.

Inheritance diagram for elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >:
[legend]

## Public Types

using | ConstPointer = itk::SmartPointer<const Self>
using | ITKBaseType = typename Superclass2::ITKBaseType
using | ParameterMapType
using | Pointer = itk::SmartPointer<Self>
using | Self = ReducedDimensionBSplineResampleInterpolator
using | Superclass1
using | Superclass2 = ResampleInterpolatorBase<TElastix>
Public Types inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
using | CoefficientDataType = TCoefficientType
using | CoefficientFilter = MultiOrderBSplineDecompositionImageFilter<TImageType, CoefficientImageType>
using | CoefficientFilterPointer = typename CoefficientFilter::Pointer
using | CoefficientImageType = Image<CoefficientDataType, Self::ImageDimension>
using | ConstPointer = SmartPointer<const Self>
using | CovariantVectorType = CovariantVector<OutputType, Self::ImageDimension>
using | Pointer = SmartPointer<Self>
using | Self = ReducedDimensionBSplineInterpolateImageFunction
using | SizeType = typename TImageType::SizeType
using | Superclass = InterpolateImageFunction<TImageType, TCoordRep>
Public Types inherited from elastix::ResampleInterpolatorBase< TElastix >
using | CoordRepType = ElastixBase::CoordRepType
using | ElastixType
using | InputImageType = typename ElastixType::MovingImageType
using | ITKBaseType = itk::InterpolateImageFunction<InputImageType, CoordRepType>
using | ParameterMapType = typename ElastixType::ParameterMapType
using | RegistrationType
using | Self = ResampleInterpolatorBase
using | Superclass = BaseComponentSE<TElastix>
Public Types inherited from elastix::BaseComponentSE< TElastix >
using | ElastixType = TElastix
using | RegistrationType = typename ElastixType::RegistrationBaseType
using | Self = BaseComponentSE
using | Superclass = BaseComponent

## Public Member Functions

void | BeforeRegistration () override
| elxClassNameMacro ("FinalReducedDimensionBSplineInterpolator")
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (ReducedDimensionBSplineResampleInterpolator)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass1::ImageDimension)
void | ReadFromFile () override
Public Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
OutputType | EvaluateAtContinuousIndex (const ContinuousIndexType &index) const override
CovariantVectorType | EvaluateDerivative (const PointType &point) const
CovariantVectorType | EvaluateDerivativeAtContinuousIndex (const ContinuousIndexType &x) const
virtual int | GetSplineOrder () const
virtual bool | GetUseImageDirection () const
| ITK_DISALLOW_COPY_AND_MOVE (ReducedDimensionBSplineInterpolateImageFunction)
| itkStaticConstMacro (ImageDimension, unsigned int, Superclass::ImageDimension)
void | SetInputImage (const TImageType *inputData) override
void | SetSplineOrder (unsigned int SplineOrder)
virtual void | SetUseImageDirection (bool _arg)
virtual void | UseImageDirectionOff ()
virtual void | UseImageDirectionOn ()
Public Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
virtual int | BeforeAllTransformix ()
void | CreateTransformParameterMap (ParameterMapType &parameterMap) const
ITKBaseType * | GetAsITKBaseType ()
const ITKBaseType * | GetAsITKBaseType () const
| ITK_DISALLOW_COPY_AND_MOVE (ResampleInterpolatorBase)
void | WriteToFile (std::ostream &transformationParameterInfo) const
Public Member Functions inherited from elastix::BaseComponentSE< TElastix >
void | AddTargetCellToIterationInfo (const char *const name)
const Configuration * | GetConfiguration () const
ElastixType * | GetElastix () const
auto & | GetIterationInfoAt (const char *const name)
RegistrationType * | GetRegistration () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponentSE)
void | RemoveTargetCellFromIterationInfo (const char *const name)
void | SetConfiguration (const Configuration *_arg)
void | SetElastix (ElastixType *_arg)
Public Member Functions inherited from elastix::BaseComponent
virtual void | AfterEachIteration ()
virtual void | AfterEachIterationBase ()
virtual void | AfterEachResolution ()
virtual void | AfterEachResolutionBase ()
virtual void | AfterRegistration ()
virtual void | AfterRegistrationBase ()
virtual int | BeforeAll ()
virtual int | BeforeAllBase ()
virtual void | BeforeEachResolution ()
virtual void | BeforeEachResolutionBase ()
virtual void | BeforeRegistrationBase ()
virtual const char * | elxGetClassName () const
const char * | GetComponentLabel () const
| ITK_DISALLOW_COPY_AND_MOVE (BaseComponent)
| itkTypeMacroNoParent (BaseComponent)
void | SetComponentLabel (const char *label, unsigned int idx)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
static Pointer | New ()
Static Public Member Functions inherited from elastix::BaseComponent
template<typename TBaseComponent>
static auto | AsITKBaseType (TBaseComponent *const baseComponent) -> decltype(baseComponent->GetAsITKBaseType())
static void | InitializeElastixExecutable ()
static bool | IsElastixLibrary ()

## Protected Member Functions

| ReducedDimensionBSplineResampleInterpolator ()=default
| ~ReducedDimensionBSplineResampleInterpolator () override=default
Protected Member Functions inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
void | PrintSelf (std::ostream &os, Indent indent) const override
| ReducedDimensionBSplineInterpolateImageFunction ()
| ~ReducedDimensionBSplineInterpolateImageFunction () override=default
Protected Member Functions inherited from elastix::ResampleInterpolatorBase< TElastix >
| ResampleInterpolatorBase ()=default
| ~ResampleInterpolatorBase () override=default
Protected Member Functions inherited from elastix::BaseComponentSE< TElastix >
| BaseComponentSE ()=default
| ~BaseComponentSE () override=default
Protected Member Functions inherited from elastix::BaseComponent
| BaseComponent ()=default
virtual | ~BaseComponent ()=default

## Private Member Functions

ParameterMapType | CreateDerivedTransformParameterMap () const override

## Private Attributes

| elxOverrideGetSelfMacro

## Additional Inherited Members

Protected Attributes inherited from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >
CoefficientImageType::ConstPointer | m_Coefficients {}
TImageType::SizeType | m_DataLength {}
unsigned int | m_SplineOrder {}
Protected Attributes inherited from elastix::BaseComponentSE< TElastix >
Configuration::ConstPointer | m_Configuration {}
itk::WeakPointer< TElastix > | m_Elastix {}
RegistrationType * | m_Registration {}

## Member Typedef Documentation

## ConstPointer

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::ConstPointer = itk::SmartPointer<const Self>

Definition at line 73 of file elxRDBSplineResampleInterpolator.h.

## ITKBaseType

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::ITKBaseType = typename Superclass2::ITKBaseType

Definition at line 105 of file elxRDBSplineResampleInterpolator.h.

## ParameterMapType

template<class TElastix>

using elastix::ResampleInterpolatorBase< TElastix >::ParameterMapType

Typedef that is used in the elastix dll version.

Definition at line 67 of file elxResampleInterpolatorBase.h.

## Pointer

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::Pointer = itk::SmartPointer<Self>

Definition at line 72 of file elxRDBSplineResampleInterpolator.h.

## Self

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::Self = ReducedDimensionBSplineResampleInterpolator

Standard ITK-stuff.

Definition at line 66 of file elxRDBSplineResampleInterpolator.h.

## Superclass1

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::Superclass1

Initial value:
itk::ReducedDimensionBSplineInterpolateImageFunction<typename ResampleInterpolatorBase<TElastix>::InputImageType,
typename ResampleInterpolatorBase<TElastix>::CoordRepType,
double>
elastix::ResampleInterpolatorBase::CoordRepType
ElastixBase::CoordRepType CoordRepType
Definition elxResampleInterpolatorBase.h:61
itk::ReducedDimensionBSplineInterpolateImageFunction
Evaluates the B-Spline interpolation of an image. Spline order may be from 0 to 5.
Definition itkReducedDimensionBSplineInterpolateImageFunction.h:87

Definition at line 67 of file elxRDBSplineResampleInterpolator.h.

## Superclass2

template<class TElastix>

using elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::Superclass2 = ResampleInterpolatorBase<TElastix>

Definition at line 71 of file elxRDBSplineResampleInterpolator.h.

## Constructor & Destructor Documentation

## ReducedDimensionBSplineResampleInterpolator()

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::ReducedDimensionBSplineResampleInterpolator | ( |  | ) |

protected default

The constructor.

## ~ReducedDimensionBSplineResampleInterpolator()

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::~ReducedDimensionBSplineResampleInterpolator | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## BeforeRegistration()

template<class TElastix>

void elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::BeforeRegistration | ( |  | ) |

override virtual

Execute stuff before the actual registration:

- Set the spline order.

Reimplemented from elastix::BaseComponent.

## CreateDerivedTransformParameterMap()

template<class TElastix>

ParameterMapType elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::CreateDerivedTransformParameterMap | ( |  | ) | const

override private virtual

Creates a map of the parameters specific for this (derived) interpolator type.

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## elxClassNameMacro()

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::elxClassNameMacro | ( | "FinalReducedDimensionBSplineInterpolator" |  | ) |

Name of this class. Use this name in the parameter file to select this specific resample interpolator.
example: (ResampleInterpolator "FinalBSplineInterpolator")

## GetClassName()

template<class TElastix>

virtual const char * elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::ReducedDimensionBSplineInterpolateImageFunction< TImageType, TCoordRep, TCoefficientType >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::ITK_DISALLOW_COPY_AND_MOVE | ( | ReducedDimensionBSplineResampleInterpolator< TElastix > |  | ) |

## itkStaticConstMacro()

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | Superclass1::ImageDimension | )

Dimension of the image.

## New()

template<class TElastix>

Pointer elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::New | ( |  | ) |

static

Method for creation through the object factory.

## ReadFromFile()

template<class TElastix>

void elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::ReadFromFile | ( |  | ) |

override virtual

Function to read transform-parameters from a file.

Reimplemented from elastix::ResampleInterpolatorBase< TElastix >.

## Field Documentation

## elxOverrideGetSelfMacro

template<class TElastix>

elastix::ReducedDimensionBSplineResampleInterpolator< TElastix >::elxOverrideGetSelfMacro

private

Definition at line 125 of file elxRDBSplineResampleInterpolator.h.

Generated on 1768596610 for elastix by 1.15.0 |